Name:       x265
Version:    3.5
Release:    1%{?dist}
Summary:    libx265
Group:      Applications/System
License:    MIT license
URL:        https://code.videolan.org
%undefine   _disable_source_fetch
## hg clone https://bitbucket.org/multicoreware/x265 //https://bitbucket.org/multicoreware/x265/src
Source0:    https://bitbucket.org/multicoreware/x265_git/downloads/x265_%{version}.tar.gz
Packager: 	%packager
BuildRequires: cmake3, nasm, git
%define debug_package %nil

%description
libx265

%package devel
Summary: H.265/HEVC encoder library development files
Group: Development/Libraries
Requires: %{name}-libs = %{version}

%description devel
The primary objective of x265 is to become the best H.265/HEVC encoder
available anywhere, offering the highest compression efficiency and the highest
performance on a wide variety of hardware platforms.
This package contains the shared library development files.

%package libs
Summary: H.265/HEVC encoder library
Group: Development/Libraries

%description libs
The primary objective of x265 is to become the best H.265/HEVC encoder
available anywhere, offering the highest compression efficiency and the highest
performance on a wide variety of hardware platforms.
This package contains the shared library built with support for 8/10/12 bit
color depths.

%prep
%setup -q -n x265_%{version}

%build
cd build/linux
##-DENABLE_SHARED:bool=off
cmake3 -G "Unix Makefiles" -DCMAKE_INSTALL_PREFIX="%{_prefix}" -DLIB_INSTALL_DIR="%{_libdir}" ../../source
make %{?_smp_mflags}
%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
cd build/linux
make DESTDIR=$RPM_BUILD_ROOT install

%post
if [ $1 == 1 ];then
       /sbin/ldconfig
fi

%postun
if [ $1 == 0 ];then
   /sbin/ldconfig
fi
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
#%doc AUTHORS COPYING
%{_bindir}/x265

%files libs
%{_libdir}/libx265.so.199

%files devel
%{_includedir}/x265.h
%{_includedir}/x265_config.h
%{_libdir}/libx265.a
%{_libdir}/libx265.so
%{_libdir}/pkgconfig/x265.pc
